apply plugin: "java"
apply plugin: "eclipse"
apply plugin: "idea"

version = '1.0'
sourceCompatibility = 1.7
targetCompatibility = 1.7

repositories {
  mavenCentral()
}

dependencies {
  testCompile "junit:junit:4.10"
}

//create a single Jar with all dependencies
task fatJar(type: Jar) {
  manifest {
        attributes 'Implementation-Title': 'Gradle Jar File Example',  
          'Implementation-Version': version,
          'Main-Class': 'Testing'
    }
    baseName = project.name + '-all'
    from { configurations.compile.collect { it.isDirectory() ? it : zipTree(it) } }
    with jar
}
